# Orders events

Orders events

Endpoint: POST Orders events
Version: 1.99.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "ORDER.NEW", "ORDER.PROCESSING", "ORDER.FILLED", "ORDER.CANCELLED"

  - `object` (object, required)

  - `object.id` (string, required)

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.account_id` (string, required)
    The ID of the account that owns the order

  - `object.cash_amount` (string, required)
    Cash amount for a nominal order, not required if a share quantity is specified.

  - `object.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - British Pound
    Enum: "EUR", "GBP"

  - `object.side` (string, required)
    Side of the order.
* BUY - 
* SELL -
    Enum: "BUY", "SELL"

  - `object.instrument_id` (string, required)
    International securities identification number defined by [ISO 6166](https://en.wikipedia.org/wiki/International_Securities_Identification_Number).

  - `object.instrument_id_type` (string, required)
    The type of the ID used in the request.
* ISIN -
    Enum: "ISIN"

  - `object.order_type` (string, required)
    Type of the order.
* MARKET - 
* LIMIT - 
* STOP -
    Enum: "MARKET", "LIMIT", "STOP"

  - `object.quantity` (string, required)
    Quantity of securities for the order. Only required if the cash amount is not specified.

  - `object.status` (string, required)
    The execution status of the order.
* NEW - 
* PROCESSING - 
* FILLED - 
* CANCELLED -
    Enum: "NEW", "PROCESSING", "FILLED", "CANCELLED"

  - `object.fee` (string, required)

  - `object.initiation_flow` (string, required)
    Initiation flow used during order creation, i.e. what triggered the order.
* API - 
* PORTFOLIO - 
* CASH_DIVIDEND_REINVESTMENT - 
* PORTFOLIO_REBALANCING - 
* SELL_TO_COVER_FEES - 
* SELL_TO_COVER_TAXES - 
* ACCOUNT_LIQUIDATION - 
* UPVEST_OPERATIONS - 
* SAVINGS_PLAN -
    Enum: "API", "PORTFOLIO", "CASH_DIVIDEND_REINVESTMENT", "PORTFOLIO_REBALANCING", "SELL_TO_COVER_FEES", "SELL_TO_COVER_TAXES", "ACCOUNT_LIQUIDATION", "UPVEST_OPERATIONS", "SAVINGS_PLAN"

  - `object.executions` (array, required)
    Order executions associated with this order

  - `object.executions.id` (string, required)

  - `object.executions.cash_amount` (string, required)

  - `object.executions.share_quantity` (string, required)

  - `object.executions.price` (string, required)

  - `object.executions.transaction_time` (string, required)

  - `object.executions.taxes` (array, required)

  - `object.executions.taxes.type` (string, required)
    Tax type
* TOTAL -
    Enum: "TOTAL"

  - `object.executions.taxes.amount` (string, required)

  - `object.executions.order_id` (string, required)

  - `object.executions.status` (string, required)
    Execution status of the Execution.
* FILLED - 
* SETTLED - 
* CANCELLED -
    Enum: "FILLED", "SETTLED", "CANCELLED"

  - `object.executions.side` (string, required)
    Side of the execution.
* BUY - 
* SELL -
    Enum: "BUY", "SELL"

  - `object.executions.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - British Pound
    Enum: "EUR", "GBP"

  - `object.executions.venue_id` (string, required)
    The ID of the venue

  - `object.executions.settlement_date` (string)
    Order execution settlement date in the YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339) RFC 3339

  - `object.user_id` (string)
    The ID of the user. Either user ID or business ID must be specified.

  - `object.business_id` (string)
    The ID of the business. Either user ID or business ID must be specified.

  - `object.user_instrument_fit_acknowledgement` (boolean)
    Only applicable if the user has failed the instrument fit check for the instrument type being ordered. True if the user has acknowledged their willingness to trade.

  - `object.limit_price` (string)
    The limit price for orders of the type 'limit'.

  - `object.stop_price` (string)
    The stop price for orders of the type 'stop'.

  - `object.expiry_date` (string)
    The order expiration date (last day the order can trade) in the YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339) RFC 3339. The default value is order creation date + 359 days

  - `object.cancellation_reason` (string)
    Reason for Order cancellation. The field is present in case the Order has a status of CANCELLED.
* CANCELLED_BY_CLIENT - 
* CANCELLED_BY_UPVEST_OPERATIONS - 
* CANCELLED_BY_TRADING_PARTNER - 
* CANCELLED_BY_UPVEST_PLATFORM -
    Enum: "CANCELLED_BY_CLIENT", "CANCELLED_BY_UPVEST_OPERATIONS", "CANCELLED_BY_TRADING_PARTNER", "CANCELLED_BY_UPVEST_PLATFORM"

  - `object.execution_flow` (string)
    Execution flow that the order processing goes through. If no value is specified, the default value is assumed - STRAIGHT_THROUGH.
* STRAIGHT_THROUGH - 
* BLOCK -
    Enum: "STRAIGHT_THROUGH", "BLOCK"

  - `object.client_reference` (string)
    Immutable reference to the API flow that initiated the order. For client initiated API flows, this is a client provided ID. For internal initiations, it is set to the ID of the related object.

  - `object.fee_configuration` (array)
    fee configuration

  - `object.decision_maker_id` (string)
    ID of the user behind the decision to place an order. Required only if different from the user_id. (e.g. child account order placed by a guardian)

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
